diff -Nurd -x'*~' soundtracker-0.6.7-pre4.orig/app/Makefile.in soundtracker-0.6.7-pre4/app/Makefile.in
--- soundtracker-0.6.7-pre4.orig/app/Makefile.in	2003-05-18 06:52:26.000000000 -0400
+++ soundtracker-0.6.7-pre4/app/Makefile.in	2005-12-09 13:29:46.000000000 -0500
@@ -212,7 +212,6 @@
 	mixer.h \
 	module-info.c module-info.h \
 	playlist.c playlist.h \
-	poll.c poll.h \
 	preferences.c preferences.h \
 	recode.c recode.h \
 	sample-display.c sample-display.h \
@@ -252,7 +251,7 @@
 	gui-settings.h gui-subs.c gui-subs.h gui.c gui.h i18n.h \
 	instrument-editor.c instrument-editor.h keys.c keys.h main.c \
 	main.h menubar.c menubar.h mixer.h module-info.c module-info.h \
-	playlist.c playlist.h poll.c poll.h preferences.c preferences.h \
+	playlist.c playlist.h preferences.c preferences.h \
 	recode.c recode.h sample-display.c sample-display.h \
 	sample-editor.c sample-editor.h scope-group.c scope-group.h \
 	st-subs.c st-subs.h time-buffer.c time-buffer.h tips-dialog.c \
@@ -276,7 +275,7 @@
 	gui-settings.$(OBJEXT) gui-subs.$(OBJEXT) gui.$(OBJEXT) \
 	instrument-editor.$(OBJEXT) keys.$(OBJEXT) main.$(OBJEXT) \
 	menubar.$(OBJEXT) module-info.$(OBJEXT) playlist.$(OBJEXT) \
-	poll.$(OBJEXT) preferences.$(OBJEXT) recode.$(OBJEXT) \
+	preferences.$(OBJEXT) recode.$(OBJEXT) \
 	sample-display.$(OBJEXT) sample-editor.$(OBJEXT) \
 	scope-group.$(OBJEXT) st-subs.$(OBJEXT) time-buffer.$(OBJEXT) \
 	tips-dialog.$(OBJEXT) track-editor.$(OBJEXT) tracker.$(OBJEXT) \
@@ -307,7 +306,7 @@
 @AMDEP_TRUE@	./$(DEPDIR)/midi-utils-050.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/midi-utils-09x.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/module-info.Po ./$(DEPDIR)/playlist.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/poll.Po ./$(DEPDIR)/preferences.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/preferences.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/recode.Po ./$(DEPDIR)/sample-display.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/sample-editor.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/scalablepic.Po \
@@ -401,7 +400,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/midi-utils-09x.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/module-info.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/playlist.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/poll.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preferences.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/recode.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sample-display.Po@am__quote@
@@ -656,7 +654,7 @@
 
 install-data-am:
 
-install-exec-am: install-binPROGRAMS install-exec-local
+install-exec-am: install-binPROGRAMS
 
 install-info: install-info-recursive
 
diff -Nurd -x'*~' soundtracker-0.6.7-pre4.orig/app/audio.c soundtracker-0.6.7-pre4/app/audio.c
--- soundtracker-0.6.7-pre4.orig/app/audio.c	2003-04-27 07:21:26.000000000 -0400
+++ soundtracker-0.6.7-pre4/app/audio.c	2005-12-09 12:50:17.000000000 -0500
@@ -30,7 +30,7 @@
 #include <unistd.h>
 #include <fcntl.h>
 #include <errno.h>
-#include "poll.h"
+#include <poll.h>
 
 #ifdef _POSIX_PRIORITY_SCHEDULING
 #include <sched.h>
diff -Nurd -x'*~' soundtracker-0.6.7-pre4.orig/app/gui.c soundtracker-0.6.7-pre4/app/gui.c
--- soundtracker-0.6.7-pre4.orig/app/gui.c	2003-05-18 06:56:14.000000000 -0400
+++ soundtracker-0.6.7-pre4/app/gui.c	2005-12-09 13:06:27.000000000 -0500
@@ -28,7 +28,7 @@
 
 #include <unistd.h>
 
-#include "poll.h"
+#include <poll.h>
 
 #include <gdk/gdkkeysyms.h>
 #include <gtk/gtk.h>
@@ -274,6 +274,7 @@
 	}
     case 2: /* Cancel, do nothing */
     default:
+	break;
     }
     fclose (f);
 }
diff -Nurd -x'*~' soundtracker-0.6.7-pre4.orig/app/keys.c soundtracker-0.6.7-pre4/app/keys.c
--- soundtracker-0.6.7-pre4.orig/app/keys.c	2002-08-17 12:04:25.000000000 -0400
+++ soundtracker-0.6.7-pre4/app/keys.c	2005-12-09 13:07:15.000000000 -0500
@@ -765,6 +765,7 @@
 	gnome_warning_dialog(_("The keyboard configuration file is defective.\nPlease use the Keyboard Configuration dialog."));
 	return 0;
       break2:
+	continue;
     }
     r = 1;
 
diff -Nurd -x'*~' soundtracker-0.6.7-pre4.orig/app/playlist.c soundtracker-0.6.7-pre4/app/playlist.c
--- soundtracker-0.6.7-pre4.orig/app/playlist.c	2003-05-18 07:27:39.000000000 -0400
+++ soundtracker-0.6.7-pre4/app/playlist.c	2005-12-09 13:05:44.000000000 -0500
@@ -74,6 +74,7 @@
 		gtk_adjustment_set_value(GTK_ADJUSTMENT(p->adj_songpos), pos);
 	return (TRUE);
     default:
+	break;
     }
     return (FALSE);
 }
